Page MenuHomePhabricator

TokuDB crashes frequently -consider upgrade it or search for alternative engines with similar features
Closed, ResolvedPublic

Description

Avoid its usage on production, at least the version that has crashed to me (bundled on MariaDB 10.0.16).

Evaluate if the bugs of TokuDB tables crashing:

Error 'Incorrect key file for table 'user_newtalk'; try to repair it' on query. Default database: 'dewiki'. Query: ...

and replication failing are version-specific or the engine is in general not prepared for large usage.
Good thing is that when the table fails, it complains and the errors do not seem fatal.

If the second, evaluate other options (InnoDB compressed, column-based engines, etc.).

For now, ALTER TABLE table_name ENGINE=TokuDB; is a workaround that fixes the issue.

Event Timeline

jcrespo created this task.Aug 14 2015, 1:26 PM
jcrespo claimed this task.
jcrespo raised the priority of this task from to Medium.
jcrespo updated the task description. (Show Details)
jcrespo added projects: acl*sre-team, DBA.
jcrespo added a subscriber: jcrespo.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptAug 14 2015, 1:26 PM
jcrespo renamed this task from TokuDB crashes frequently -consider upgrade it or seach for alternative engines with similar features to TokuDB crashes frequently -consider upgrade it or search for alternative engines with similar features.Aug 14 2015, 1:26 PM
jcrespo set Security to None.
jcrespo moved this task from Triage to Backlog on the DBA board.Aug 14 2015, 2:17 PM

And again, on db1069:3313:

Last_Error: Error 'Incorrect key file for table 'user_properties'; try to repair it' on query. 
Default database: 'incubatorwiki'. 
Query: 'DELETE /* User::saveOptions [SANITIZED] */ FROM `user_properties` WHERE up_user = '[SANITIZED]' AND up_property = 'language''

Twice happened on frwikisource & enwikisource, table user_properties.

jcrespo raised the priority of this task from Medium to High.EditedOct 21 2015, 9:14 AM

Last issue that broke replication on dbstore1001:

SELECT * FROM revision WHERE rev_page=9023902;
Empty set (0.00 sec)

SELECT * FROM revision WHERE rev_page=9023902 and rev_id=147187984;
1 row in set (0.00 sec)

Reported upstream but getting rid of Toku as soon as possible.

jcrespo changed the task status from Open to Stalled.Jan 19 2016, 1:55 PM
jcrespo removed jcrespo as the assignee of this task.Apr 22 2016, 4:40 PM
jcrespo mentioned this in Unknown Object (Task).May 11 2016, 7:27 AM
jcrespo changed the task status from Stalled to Open.Jul 4 2016, 2:10 PM
jcrespo moved this task from Backlog to In progress on the DBA board.

InnoDB compressed seems to be the aim, achiving effective a compresion ratio of 50% (new disk used / old disk used).

jcrespo closed this task as Resolved.Aug 3 2016, 12:37 PM
jcrespo claimed this task.

The alternative is clear: we are going to convert labs and dbstore (when we have the right hardware to InnoDB compressed), eliminating all tokudb tables except the ones on eventlogging (logs with simple values that really benefit from tokudb).

jcrespo mentioned this in Unknown Object (Task).Aug 25 2016, 10:02 AM